<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: Data Fields - Functions/Subroutines</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_b"></a>- b -</h3><ul>
<li>bbox_list_for_bbox_int()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__bbox.html#a0df30d2ecf5d101bec02aa303e609dbf">adt_m::bbox_list_for_bbox</a>
</li>
<li>bbox_list_for_bbox_real()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__bbox.html#afb5bf55847815f9986a638ab2fb20786">adt_m::bbox_list_for_bbox</a>
</li>
<li>bbox_list_for_line_int()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__line.html#a602771cb281a48e41e9ec8571c584155">adt_m::bbox_list_for_line</a>
</li>
<li>bbox_list_for_line_real()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__line.html#ae20918de394d5bf63c7214997d8fee9c">adt_m::bbox_list_for_line</a>
</li>
<li>bbox_list_for_plane_int()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__plane.html#ac130c89ff067f613bdf03e01397c6daf">adt_m::bbox_list_for_plane</a>
</li>
<li>bbox_list_for_plane_real()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__plane.html#aca37490b57f31f748d882a9c119eb5b9">adt_m::bbox_list_for_plane</a>
</li>
<li>bbox_list_for_point_int()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__point.html#a285c3bc4cdcc970206aaaa40df2c164c">adt_m::bbox_list_for_point</a>
</li>
<li>bbox_list_for_point_real()
: <a class="el" href="interfaceadt__m_1_1bbox__list__for__point.html#adf224ff4c6ec9fe116b6971705e0b2a9">adt_m::bbox_list_for_point</a>
</li>
<li>bc_metric_allocate_ops_ed()
: <a class="el" href="interfacebc__metric__func_1_1bc__metric__allocate__ops.html#a77db8632062eee54f35ffa73467f30f2">bc_metric_func::bc_metric_allocate_ops</a>
</li>
<li>bc_metric_allocate_ops_fa()
: <a class="el" href="interfacebc__metric__func_1_1bc__metric__allocate__ops.html#a650c9d582c1a9037bc76740d446997d3">bc_metric_func::bc_metric_allocate_ops</a>
</li>
<li>bc_metric_dist_range_ed()
: <a class="el" href="interfacebc__metric__func_1_1bc__metric__dist__range.html#a3ddef3ef994ed487a4f2a06256165b43">bc_metric_func::bc_metric_dist_range</a>
</li>
<li>bc_metric_dist_range_fa()
: <a class="el" href="interfacebc__metric__func_1_1bc__metric__dist__range.html#a9dc2ec744a6f856e0eb393bc5b6792be">bc_metric_func::bc_metric_dist_range</a>
</li>
<li>bc_metric_resize_ops_ed()
: <a class="el" href="interfacebc__metric__func_1_1bc__metric__resize__ops.html#afcf478df5cb94a66c1e94991d968c22f">bc_metric_func::bc_metric_resize_ops</a>
</li>
<li>bc_metric_resize_ops_fa()
: <a class="el" href="interfacebc__metric__func_1_1bc__metric__resize__ops.html#a85e9e820814332e90c6510722131c2e2">bc_metric_func::bc_metric_resize_ops</a>
</li>
<li>block_pentadiagonal_periodic_serial_vs()
: <a class="el" href="interfaceblock__pentadiagonal__m_1_1block__pentadiagonal__periodic__serial.html#a370fa37d50c3427b35c864a8713ac749">block_pentadiagonal_m::block_pentadiagonal_periodic_serial</a>
</li>
<li>block_pentadiagonal_serial_vs()
: <a class="el" href="interfaceblock__pentadiagonal__m_1_1block__pentadiagonal__serial.html#a96bdb8ff65a120d61476b17aeafc4eb5">block_pentadiagonal_m::block_pentadiagonal_serial</a>
</li>
<li>block_pentadiagonal_vs()
: <a class="el" href="interfaceblock__pentadiagonal__m_1_1block__pentadiagonal.html#a97f6b1a73e96cdaf123629fd8dc22b85">block_pentadiagonal_m::block_pentadiagonal</a>
</li>
<li>block_polydiagonal_periodic_serial_vs()
: <a class="el" href="interfaceblock__polydiagonal__m_1_1block__polydiagonal__periodic__serial.html#a6fa5b474bcb9979c66d1c998da753cdc">block_polydiagonal_m::block_polydiagonal_periodic_serial</a>
</li>
<li>block_polydiagonal_serial_vs()
: <a class="el" href="interfaceblock__polydiagonal__m_1_1block__polydiagonal__serial.html#a8540c5a3ef2bc5293966908501a8c35f">block_polydiagonal_m::block_polydiagonal_serial</a>
</li>
<li>block_polydiagonal_vs()
: <a class="el" href="interfaceblock__polydiagonal__m_1_1block__polydiagonal.html#af25d6244a3bcfd55dcf463dbe5c4452a">block_polydiagonal_m::block_polydiagonal</a>
</li>
<li>block_tridiagonal_periodic_serial_vs()
: <a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal__periodic__serial.html#a1cb8b9ae4d6b4a6ff583a55331238f34">block_tridiagonal_m::block_tridiagonal_periodic_serial</a>
</li>
<li>block_tridiagonal_serial_vs()
: <a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal__serial.html#a8d60d5abeba7debf82e87357035c7623">block_tridiagonal_m::block_tridiagonal_serial</a>
</li>
<li>block_tridiagonal_vs()
: <a class="el" href="interfaceblock__tridiagonal__m_1_1block__tridiagonal.html#a09f4128e760324ec3666edad6a1aaae2">block_tridiagonal_m::block_tridiagonal</a>
</li>
<li>boundary_multiphase_neumann_link()
: <a class="el" href="interfacenga__interface__sd__m_1_1boundary__multiphase__neumann__alldir.html#a6df120e2c4b62cc6e576fcbd8521c3bb">nga_interface_sd_m::boundary_multiphase_neumann_alldir</a>
</li>
<li>boundary_neumann_link()
: <a class="el" href="interfacenga__interface__sd__m_1_1boundary__neumann.html#a5bddbbcaabab5527218c395e5059bdde">nga_interface_sd_m::boundary_neumann</a>
</li>
<li>boundary_update_bc_r1()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__bc.html#abf0ecb497c799aa006538c1447681551">sd_boundary::boundary_update_bc</a>
</li>
<li>boundary_update_bc_unit()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__bc.html#a303635691c229c64926042473f2957d6">sd_boundary::boundary_update_bc</a>
</li>
<li>boundary_update_border_ik4()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__border.html#a5dc688b10e297cc558773f5bf899ce53">sd_boundary::boundary_update_border</a>
, <a class="el" href="interfacesd__boundary_1_1boundary__update__border__int.html#a7707f82c9704e59174f9544f07232fc0">sd_boundary::boundary_update_border_int</a>
</li>
<li>boundary_update_border_ik8()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__border.html#a04175d7ce7d15106d7ca331350ec8c67">sd_boundary::boundary_update_border</a>
, <a class="el" href="interfacesd__boundary_1_1boundary__update__border__int.html#ab1c865b1ddd70b1eebd38b7a4f0ff5eb">sd_boundary::boundary_update_border_int</a>
</li>
<li>boundary_update_border_int_link()
: <a class="el" href="interfacenga__interface__sd__m_1_1boundary__update__border__int.html#ad5b7178f305825beb72d6e8d1d26b65b">nga_interface_sd_m::boundary_update_border_int</a>
</li>
<li>boundary_update_border_link()
: <a class="el" href="interfacenga__interface__sd__m_1_1boundary__update__border.html#ad364ed3e789704f46ac6b9b757f57dad">nga_interface_sd_m::boundary_update_border</a>
</li>
<li>boundary_update_border_r3()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__border.html#a37d9e3ccc206fa3c621398b811cbf6c7">sd_boundary::boundary_update_border</a>
</li>
<li>boundary_update_border_r4()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__border.html#addfb2088aff63370e207a1711d47cd94">sd_boundary::boundary_update_border</a>
</li>
<li>boundary_update_border_rk8()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__border.html#acf93e6d1b0012eb0f1e07fdecb98b6a4">sd_boundary::boundary_update_border</a>
</li>
<li>boundary_update_shared_bc()
: <a class="el" href="interfacesd__boundary_1_1boundary__update__bc.html#ad3168c991c758f608d1c5205411a61d9">sd_boundary::boundary_update_bc</a>
</li>
<li>buffer_set_memory_bytes()
: <a class="el" href="interfacebuffer__m_1_1buffer__set__memory.html#ae6fc8a60c4b1fcdab7b8467d16b9575d">buffer_m::buffer_set_memory</a>
</li>
<li>byte_swap_i0_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#add71d2fec3bc97795a08761979225745">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i0_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a5dc6a1361d9abcee3280d2151539ec4a">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i1_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#abc0986d7f67d7edccdc03f9ed2cd4a98">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i1_4_n8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a1d1bc997db468e7f7ea30b6730702af0">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i1_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a394aa3a4095796665562c1c8a4c39c18">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i1_8_n8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a9dc92eb0dd759d67c1bb1e957ee248a5">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i2_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#adf232c2fb2fd52b0b8fe044d3fe23a2e">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i2_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a6eb9e6474928247661b7a5465533b21d">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i3_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a4b53e23f738f7ff631b90acd177f92a0">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_i3_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a72354792f4f8d370268295ced6235d88">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r0_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a41532e9a04db24ba9767f0279e48278f">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r1_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a551182f6c5efdf7771e3f0de3c8b6fd1">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r1_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a7ab8d40efc8ecec34516c8e5bbc6e964">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r1_8_n8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#ad6682bd1d67420ade2fe9367bfa8aa20">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r2_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a6e1b6a5d77d0dba28d53a2e6f49711fc">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r2_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a1eee4a767531f829c9bd842636abea02">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r2_8_n8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#aa8690489615d6382a71a56e2dd2465a4">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r3_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a1d375c7db6a94dbf4769249a9935af00">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r3_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a3b495f55dfcf4dc50071f9c7346afc25">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r4_4()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#a50531001ffbb364aa362b95de451ad42">byte_swap_m::byte_swap</a>
</li>
<li>byte_swap_r4_8()
: <a class="el" href="interfacebyte__swap__m_1_1byte__swap.html#ade7e8aa36e0c35b32ebce1e6df67eaa8">byte_swap_m::byte_swap</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:59 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
